PEM_write_bio_PKCS7_stream(3)

NAME
PEM_write_bio_PKCS7_stream - output PKCS7 structure in PEM format.

LIBRARY
libcrypto, -lcrypto

SYNOPSIS
 #include <openssl/pkcs7.h>
 #include <openssl/pem.h>

 int PEM_write_bio_PKCS7_stream(BIO *out, PKCS7 *p7, BIO *data, int flags);

DESCRIPTION
PEM_write_bio_PKCS7_stream() outputs a PKCS7 structure in PEM format.

It is otherwise identical to the function SMIME_write_PKCS7().

NOTES
This function is effectively a version of the PEM_write_bio_PKCS7() supporting streaming.

RETURN VALUES
PEM_write_bio_PKCS7_stream() returns 1 for success or 0 for failure.

SEE ALSO
ERR_get_error(3), PKCS7_sign(3), PKCS7_verify(3), PKCS7_encrypt(3) PKCS7_decrypt(3), SMIME_write_PKCS7(3), i2d_PKCS7_bio_stream(3)

HISTORY
PEM_write_bio_PKCS7_stream() was added to OpenSSL 1.0.0